Bug 1311554 - (CVE-2016-2543) CVE-2016-2543 kernel: sound: GPF in snd_seq_fifo_clear
CVE-2016-2543 kernel: sound: GPF in snd_seq_fifo_clear
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160119,reported=2...
: Security
Depends On: 1311573
Blocks: 1311575
  Show dependency treegraph
 
Reported: 2016-02-24 08:00 EST by Andrej Nemec
Modified: 2016-05-15 06:21 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 07:48:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-24 08:00:21 EST
A null dereference vulnerability was found in the Linux kernel. Function snd_seq_ioctl_remove_events() calls snd_seq_fifo_clear() unconditionally even if there is no FIFO assigned, and this leads to an Oops due to NULL dereference. The fix is just to add a proper NULL check.

Upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=030e2c78d3a91dd0d27fef37e91950dde333eba1

External references:

https://lkml.org/lkml/2016/1/12/215

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q1/133

http://seclists.org/oss-sec/2016/q1/410
Comment 1 Josh Boyer 2016-02-24 08:51:53 EST
This was fixed in 4.3.5 with:

commit 6f54677f06bf3fd3c3f327d14ded94a0330d8d0c
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 12 12:38:02 2016 +0100

    ALSA: seq: Fix missing NULL check at remove_events ioctl
    
    commit 030e2c78d3a91dd0d27fef37e91950dde333eba1 upstream.
    

and in 4.4.1 with:

commit 36d3fc15f50c22bbddfceb6c585f851130fb005f
Author: Takashi Iwai <tiwai@suse.de>
Date:   Tue Jan 12 12:38:02 2016 +0100

    ALSA: seq: Fix missing NULL check at remove_events ioctl
    
    commit 030e2c78d3a91dd0d27fef37e91950dde333eba1 upstream.


All Fedora branches are on those or newer.  This issue is fixed in Fedora.
Comment 4 Vladis Dronov 2016-03-04 07:48:34 EST
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Note You need to log in before you can comment on or make changes to this bug.